- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions

# QNetworkProxy Class Reference

Search for all occurrences

## Detailed Description

Definition at line 107 of file qnetworkproxy.h.

`#include <qnetworkproxy.h>`

List of all members.

## Public Types
enum | ProxyType { DefaultProxy, Socks5Proxy, NoProxy, HttpProxy, HttpCachingProxy, FtpCachingProxy }
enum | Capability { TunnelingCapability = 0x0001, ListeningCapability = 0x0002, UdpTunnelingCapability = 0x0004, CachingCapability = 0x0008, HostNameLookupCapability = 0x0010 }
## Public Member Functions
| QNetworkProxy ()
| QNetworkProxy (ProxyType type, const QString &hostName=QString(), quint16 port=0, const QString &user=QString(), const QString &password=QString())
| QNetworkProxy (const QNetworkProxy &other)
QNetworkProxy & | operator= (const QNetworkProxy &other)
| ~QNetworkProxy ()
bool | operator== (const QNetworkProxy &other) const
bool | operator!= (const QNetworkProxy &other) const
void | setType (QNetworkProxy::ProxyType type)
QNetworkProxy::ProxyType | type () const
void | setCapabilities (Capabilities capab)
Capabilities | capabilities () const
bool | isCachingProxy () const
bool | isTransparentProxy () const
void | setUser (const QString &userName)
QString | user () const
void | setPassword (const QString &password)
QString | password () const
void | setHostName (const QString &hostName)
QString | hostName () const
void | setPort (quint16 port)
quint16 | port () const
## Static Public Member Functions
static void | setApplicationProxy (const QNetworkProxy &proxy)
static QNetworkProxy | applicationProxy ()

## Member Enumeration Documentation

enum ProxyType

Search for all occurrences

Enumerator:

  DefaultProxy | Search for all occurrences
  Socks5Proxy | Search for all occurrences
  NoProxy | Search for all occurrences
  HttpProxy | Search for all occurrences
  HttpCachingProxy | Search for all occurrences
  FtpCachingProxy | Search for all occurrences

Definition at line 110 of file qnetworkproxy.h.

                       {
            DefaultProxy,
            Socks5Proxy,
            NoProxy,
            HttpProxy,
            HttpCachingProxy,
            FtpCachingProxy
        };

enum Capability

Search for all occurrences

Enumerator:

  TunnelingCapability | Search for all occurrences
  ListeningCapability | Search for all occurrences
  UdpTunnelingCapability | Search for all occurrences
  CachingCapability | Search for all occurrences
  HostNameLookupCapability | Search for all occurrences

Definition at line 119 of file qnetworkproxy.h.

                        {
            TunnelingCapability = 0x0001,
            ListeningCapability = 0x0002,
            UdpTunnelingCapability = 0x0004,
            CachingCapability = 0x0008,
            HostNameLookupCapability = 0x0010
        };

## Constructor & Destructor Documentation

QNetworkProxy | ( |  | ) |

QNetworkProxy | ( | ProxyType | type,
|  | const QString & | hostName = `QString()`,
|  | quint16 | port = `0`,
|  | const QString & | user = `QString()`,
|  | const QString & | password = `QString()`
| ) |  |

QNetworkProxy | ( | const QNetworkProxy & | other | ) |

~QNetworkProxy | ( |  | ) |

## Member Function Documentation

QNetworkProxy& operator= | ( | const QNetworkProxy & | other | ) |

bool operator== | ( | const QNetworkProxy & | other | ) | const

bool operator!= | ( | const QNetworkProxy & | other | ) | const `[inline]`

Definition at line 135 of file qnetworkproxy.h.

        { return !(*this == other); }

void setType | ( | QNetworkProxy::ProxyType | type | ) |

Search for all occurrences

QNetworkProxy::ProxyType type | ( |  | ) | const

Search for all occurrences

void setCapabilities | ( | Capabilities | capab | ) |

Search for all occurrences

Capabilities capabilities | ( |  | ) | const

Search for all occurrences

bool isCachingProxy | ( |  | ) | const

Search for all occurrences

bool isTransparentProxy | ( |  | ) | const

Search for all occurrences

void setUser | ( | const QString & | userName | ) |

Search for all occurrences

QString user | ( |  | ) | const

Search for all occurrences

void setPassword | ( | const QString & | password | ) |

Search for all occurrences

QString password | ( |  | ) | const

Search for all occurrences

void setHostName | ( | const QString & | hostName | ) |

Search for all occurrences

QString hostName | ( |  | ) | const

Search for all occurrences

void setPort | ( | quint16 | port | ) |

Search for all occurrences

quint16 port | ( |  | ) | const

Search for all occurrences

static void setApplicationProxy | ( | const QNetworkProxy & | proxy | ) | `[static]`

Search for all occurrences

static QNetworkProxy applicationProxy | ( |  | ) | `[static]`

Search for all occurrences

The documentation for this class was generated from the following file:

- QtNetwork/qnetworkproxy.h

QNetworkProxy QNetworkProxy QNetworkProxy QNetworkProxy QNetworkProxy QNetworkProxy QNetworkProxy QNetworkProxy QNetworkProxy QNetworkProxy
QNetworkProxy QNetworkProxy QNetworkProxy QNetworkProxy QNetworkProxy QNetworkProxy QNetworkProxy QNetworkProxy QNetworkProxy QNetworkProxy